curl --request GET \
--url https://api.wodup.dev/api/public/competitions/{id}/registrations \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.wodup.dev/api/public/competitions/{id}/registrations"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.wodup.dev/api/public/competitions/{id}/registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"division_id": "cd_123abc",
"id": "cr_123abc",
"participants": [
{
"affiliation": null,
"captain": true,
"country_code": "UK",
"email": "john@example.com",
"gender": "female",
"id": "cp_123abc",
"name": "John Smith"
}
],
"registered_at": "2000-01-01T00:00:00Z",
"scores": [
{
"event_id": "ce_123abc",
"id": "cs_123abc",
"participant_id": "cp_123abc",
"result": {
"description": null,
"details": {
"total": 100
},
"done_at": "2001-01-01T12:00:00.000000Z",
"movements": [],
"notes": null,
"perceived_exertion": 0,
"prescribed_workout": {
"description": "Back Squat 5 reps",
"details": {
"movements": [
{
"id": "mv_fT0m3viH",
"load": null,
"reps": "5"
}
],
"rest": {
"type": "as_needed"
},
"type": "Strength"
},
"movements": [
{
"complex_details": null,
"description": null,
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": {
"id": "dQw4w9WgXcQ",
"service": "youtube"
}
}
],
"name": null,
"type": "Strength"
},
"scaled_workout": null,
"scaling": "rx",
"status": "completed",
"type": "StrengthResult",
"wod_component_id": null
},
"video_url": null
}
],
"team_name": null,
"withdrawn": false
}
]{
"errors": {}
}{
"errors": {}
}List competition registrations
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
Only used by platform integrations
ID of gym to execute on behalf of
"gym_123abc"
Path Parameters
ID of competition to get registrations for
"comp_123abc"
Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
1 <= x <= 10050
A cursor for use in pagination. after_cursor is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after_cursor=obj_foo in order to fetch the next page of the list.
"cr_abcdef"
A cursor for use in pagination. before_cursor is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include before_cursor=obj_bar in order to fetch the previous page of the list.
"cr_abcdef"
Response
list competition registrations response
Division ID
Registration ID
List of participants in the registration
Show child attributes
Show child attributes
Time of registration
List of scores in the registration
Show child attributes
Show child attributes
Has the registration been withdrawn
Team name
[
{
"division_id": "cd_123abc",
"id": "cr_123abc",
"participants": [
{
"affiliation": null,
"captain": true,
"country_code": "UK",
"email": "john@example.com",
"gender": "female",
"id": "cp_123abc",
"name": "John Smith"
}
],
"registered_at": "2000-01-01T00:00:00Z",
"scores": [
{
"event_id": "ce_123abc",
"id": "cs_123abc",
"participant_id": "cp_123abc",
"result": {
"description": null,
"details": { "total": 100 },
"done_at": "2001-01-01T12:00:00.000000Z",
"movements": [],
"notes": null,
"perceived_exertion": 0,
"prescribed_workout": {
"description": "Back Squat 5 reps",
"details": {
"movements": [
{
"id": "mv_fT0m3viH",
"load": null,
"reps": "5"
}
],
"rest": { "type": "as_needed" },
"type": "Strength"
},
"movements": [
{
"complex_details": null,
"description": null,
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": { "id": "dQw4w9WgXcQ", "service": "youtube" }
}
],
"name": null,
"type": "Strength"
},
"scaled_workout": null,
"scaling": "rx",
"status": "completed",
"type": "StrengthResult",
"wod_component_id": null
},
"video_url": null
}
],
"team_name": null,
"withdrawn": false
}
]